Les outils de ligne de commande bash (git) ne fonctionnent pas – la version finale de macOS Sierra candidate

Je viens de passer d’ OS X 10.11 “El Capitan” à 10.12: “Sierra” , et lorsque j’essaie d’accéder aux commandes git à l’intérieur d’un terminal, j’obtiens l’erreur suivante:

xcrun: erreur: chemin du développeur actif non valide (/ Library / Developer / CommandLineTools), xcrun manquant à l’adresse: / Library / Developer / CommandLineTools / usr / bin / xcrun

Aidez-moi si quelqu’un a une solution.

Réinstallez les outils de développement Xcode

xcode-select --install 

J’ai résolu ce problème en téléchargeant et en installant le package «Outils de ligne de commande (macOS sierra) pour Xcode 8» des téléchargements pour développeurs Apple .

Veillez à sélectionner les Command Line Tools (macOS 10.12) for Xcode 8 et non celui pour la version bêta 8.1, sauf si vous avez installé la version bêta de Xcode 8.1.

Avait le même problème et en mettant directement le chemin de git dans le profil il ne demandera plus le xcode (si vous n’avez pas besoin d’utiliser xcode).

  1. téléchargez le git, https://git-scm.com/download/mac et installez-le.
  2. dans votre profil, ajoutez à path, c’est-à-dire export PATH = $ PATH: / usr / bin (le mien est dans / usr / bin).
  3. ouvrir un nouveau terminal.

Seul – xcode-select –install ne fonctionnait pas pour moi.

A dû faire les 3 étapes:

  1. Téléchargez le code X depuis l’App Store (s’il n’est pas présent dans le dossier Applications)
  2. $ xcode-select –install
    une. Il peut être nécessaire de mettre à jour après l’installation à l’aide de softwareupdate en ligne de commande. $ sudo softwareupdate -i “Outils de ligne de commande (macOS High Sierra version 10.13) pour Xcode-9.1”

  3. $ sudo xcodebuild -license

Je viens tout juste de mettre à niveau vers MacOS High Sierra Version 10.13.3 et j’ai xcode existant. Mes lignes de commande git ont le même problème. “$ xcode-select –install” fonctionne parfaitement pour moi.